DVLE_s Struct Reference

DVLE data. More...

`#include <shbin.h>`

## Data Fields

DVLE_type | type
| DVLE type.
bool | mergeOutmaps
| true = merge vertex/geometry shader outmaps ('dummy' output attribute is present).
DVLE_geoShaderMode | gshMode
| Geometry shader operation mode.
u8 | gshFixedVtxStart
| Starting float uniform register number for storing the fixed-size primitive vertex array.
u8 | gshVariableVtxNum
| Number of fully-defined vertices in the variable-size primitive vertex array.
u8 | gshFixedVtxNum
| Number of vertices in the fixed-size primitive vertex array.
DVLP_s * | dvlp
| Contained DVLPs.
u32 | mainOffset
| Offset of the start of the main function.
u32 | endmainOffset
| Offset of the end of the main function.
u32 | constTableSize
| Constant table size.
DVLE_constEntry_s * | constTableData
| Constant table data.
u32 | outTableSize
| Output table size.
DVLE_outEntry_s * | outTableData
| Output table data.
u32 | uniformTableSize
| Uniform table size.
DVLE_uniformEntry_s * | uniformTableData
| Uniform table data.
char * | symbolTableData
| Symbol table data.
u8 | outmapMask
| Output map mask.
u32 | outmapData [8]
| Output map data.
u32 | outmapMode
| Output map mode.
u32 | outmapClock
| Output map attribute clock.

## Detailed Description

DVLE data.

The documentation for this struct was generated from the following file:

- include/3ds/gpu/shbin.h